Doomsday Engine - Bug #1911

Episode menu appearing when it shouldn't
2014-11-23 17:42 - vermil

Status: Closed Start date: 2014-11-23
Priority: Normal % Done: 100%
Assignee: danij

Category: Defect

Target version:

Description
The new custom episode feature was added in build 1420.

When only one episode is defined, Dday is meant to skip the episode menu; it does this when going forward through the menu's, but
it doesn't skip when going backward through the menu's.

Associated revisions

Revision 618b3a87 - 2014-12-01 00:17 - danij

libcommon|Menu: Skip Episode selection menu when navigating backwards
If only one playable episode is available we shouldn't bother the

user to manually select it. In such a case, automatically select the

episode and proceed to next/previous page.

Note that the demo/shareware versions are exempted because they use
this menu to prompt the user to buy the full version.

IssuelD #1911

History

#1 - 2014-11-23 17:51 - danij
- Category set to Defect
- Assignee set to danij

- Target version set to 1.15

#2 - 2014-11-30 23:58 - danij
- Status changed from New to In Progress

- Target version changed from 1.15 to 49

#3 - 2014-12-01 00:17 - danij
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#4 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
